org.keycloak.jose.jwk

## Class JWK

- java.lang.Object
- - org.keycloak.jose.jwk.JWK

- Direct Known Subclasses:
    ECPublicJWK, RSAPublicJWK

      public class JWK
      extends Object

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JWK.Use`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALGORITHM`
    `static String` | `KEY_ID`
    `static String` | `KEY_TYPE`
    `protected Map<String,Object>` | `otherClaims`
    `static String` | `PUBLIC_KEY_USE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWK()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `String` | `getKeyId()`
    `String` | `getKeyType()`
    `Map<String,Object>` | `getOtherClaims()`
    `String` | `getPublicKeyUse()`
    `void` | `setAlgorithm(String algorithm)`
    `void` | `setKeyId(String keyId)`
    `void` | `setKeyType(String keyType)`
    `void` | `setOtherClaims(String name, Object value)`
    `void` | `setPublicKeyUse(String publicKeyUse)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_ID

          public static final String KEY_ID

      See Also:
        Constant Field Values

    - #### KEY_TYPE

          public static final String KEY_TYPE

      See Also:
        Constant Field Values

    - #### ALGORITHM

          public static final String ALGORITHM

      See Also:
        Constant Field Values

    - #### PUBLIC_KEY_USE

          public static final String PUBLIC_KEY_USE

      See Also:
        Constant Field Values

    - #### otherClaims

          protected Map<String,Object> otherClaims

  - ### Constructor Detail

    - #### JWK

          public JWK()

  - ### Method Detail

    - #### getKeyId

          public String getKeyId()

    - #### setKeyId

          public void setKeyId(String keyId)

    - #### getKeyType

          public String getKeyType()

    - #### setKeyType

          public void setKeyType(String keyType)

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public void setAlgorithm(String algorithm)

    - #### getPublicKeyUse

          public String getPublicKeyUse()

    - #### setPublicKeyUse

          public void setPublicKeyUse(String publicKeyUse)

    - #### getOtherClaims

          public Map<String,Object> getOtherClaims()

    - #### setOtherClaims

          public void setOtherClaims(String name,
                                     Object value)

Copyright © 2020 JBoss by Red Hat. All rights reserved.